import whisper
import os

# 加载Whisper模型（可选"base"、"small"、"medium"、"large"）
model = whisper.load_model("medium")

path = r'C:\Users\26549\OneDrive\工作\北电数智科技\EV\250701_1318.m4a'
print(os.path.exists(path))

# 读取并转写m4a音频文件
result = model.transcribe(audio=path, language="zh")

# 输出转写结果
print(result["text"])
print('done')
